package com.docus.server.record.service;

import com.docus.server.record.common.pojo.dto.TBasicDTO;

import java.util.List;
import java.util.Map;

public interface ITBasicService {

    /**
     * 新增
     *
     * @param dto
     * @throws Exception
     */
    void insertTBasic(TBasicDTO dto);

    /**
     * 更新
     *
     * @param dto
     * @throws Exception
     */
    void updateTBasic(TBasicDTO dto);

    /**
     * 批量新增
     *
     * @param basicDTOList
     */
    void batchSaveBasics(List<TBasicDTO> basicDTOList);

    /**
     * 根据记账号查询数据
     *
     * @param jzh
     * @return
     */
    Integer findByJzh(String jzh);

    /**
     * 根据住院查询住院信息
     *
     * @param zyhs
     * @return
     */
    List<Map<String, Object>> getBasicForZYHs(List<String> zyhs);

    /**
     * 查询基础出院数据增量数据
     */
    List<Map<String, Object>> getBasicOutData(Map<String, Object> param);

    /**
     * 查询基础创建数据增量数据
     */
    List<Map<String, Object>> getBasicData(Map<String, Object> param);
}
